import { BaseMessage } from "./BaseMessage";
declare class Subscribe extends BaseMessage {
    method: string;
    constructor(params?: any);
}
declare class Unsubscribe extends BaseMessage {
    method: string;
    constructor(params?: any);
}
declare class Broadcast extends BaseMessage {
    method: string;
    constructor(params?: any);
}
declare class Reauthenticate extends BaseMessage {
    method: string;
    constructor(token: string, sessionid: string);
}
declare class Ping extends BaseMessage {
    method: string;
    constructor();
}
declare class Connect extends BaseMessage {
    method: string;
    constructor(token: string, sessionid: string);
}
export { Reauthenticate, Ping, Connect, Subscribe, Unsubscribe, Broadcast, };
